%define package vlc

Name:		wpkg-vlc
Version:	3.0.2
Release:	0.beta1%{?dist}
Summary:	%{package} for WPKG on iPasserelle

Group:		System/Softwares
URL:		http://www.ipasserelle.com
Source0:	%{name}-%{version}.tar.gz
License:	misc

BuildRoot:	/var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
BuildRequires:	unix2dos

Requires:	ipasserelle-gp

%description
%{package} for WPKG on iPasserelle

%prep
%setup -q -n %{name}-%{version}

%build
unix2dos packages/*

%install
/bin/rm -rf %{buildroot}
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/packages
mkdir -p %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}
cp -r softwares/* %{buildroot}/home/e-smith/files/shares/wpkg/files/softwares/%{package}/
cp -r packages/* %{buildroot}/home/e-smith/files/shares/wpkg/files/packages/

%clean
/bin/rm -rf %{buildroot}

%files
%defattr(-,root,root)
/home/e-smith/files/shares/wpkg/files/

%changelog
* Mon May 07 2018 Daniel Berteaud <daniel@firewall-services.com> 3.0.2-0.beta1
- Update to 3.0.2 (daniel@firewall-services.com)

* Mon Mar 05 2018 Daniel Berteaud <daniel@firewall-services.com> 3.0.1-1
- Update to 3.0.1 (daniel@firewall-services.com)

* Tue Feb 13 2018 Daniel Berteaud <daniel@firewall-services.com> 3.0.0-1
- Stable release

* Mon Feb 12 2018 Daniel Berteaud <daniel@firewall-services.com> 3.0.0-0.beta1
- Update to 3.0.0 and deploy x64 build on x64 systems (daniel@firewall-
  services.com)

* Mon Dec 11 2017 Daniel Berteaud <daniel@firewall-services.com> 2.2.8-1
- Fix tito_libs path (daniel@firewall-services.com)
- Add tito releasers (daniel@firewall-services.com)

* Mon Dec 11 2017 Daniel Berteaud <daniel@firewall-services.com> 2.2.8-0.beta2
- It's 2.2.8 not 2.2.6 (daniel@firewall-services.com)

* Mon Dec 11 2017 Daniel Berteaud <daniel@firewall-services.com> 2.2.6-0.beta1
- new package built with tito

* Mon Dec 11 2017 Daniel Berteaud <daniel@firewall-services.com>
- new package built with tito

* Mon Dec 11 2017 Daniel Berteaud <daniel@firewall-services.com> - 2.2.8-1
- Update to 2.2.8

* Mon May 29 2017 Daniel Berteaud <daniel@firewall-services.com> - 2.2.6-1
- Update to 2.2.6

* Wed May 17 2017 Daniel Berteaud <daniel@firewall-services.com> - 2.2.5.1-1
- Update to 2.2.5.1

* Wed Jun 8 2016 Daniel Berteaud <daniel@firewall-services.com> - 2.2.4-1
- Update to 2.2.4

* Tue May 10 2016 Daniel Berteaud <daniel@firewall-services.com> - 2.2.3-1
- Update to 2.2.3

* Wed Feb 10 2016 Daniel Berteaud <daniel@firewall-services.com> - 2.2.2-1
- Update to 2.2.2

* Fri Apr 17 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.2.1-1
- Update to 2.2.1

* Tue Mar 3 2015 Daniel Berteaud <daniel@firewall-services.com> - 2.2.0-1
- Update to 2.2.0

* Mon Jul 28 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.1.5-1
- Update to 2.1.5

* Thu Feb 6 2014 Daniel Berteaud <daniel@firewall-services.com> - 2.1.3-1
- Update to 2.1.3

* Wed Dec 11 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.1.2-1
- Update to 2.1.2
- Remove native x64

* Thu Sep 26 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.1.0-1
- upgrade to 2.1.0
- provide a x64 version

* Tue Aug 20 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.0.8-1
- update to VLC 2.0.8

* Tue Jun 11 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.0.7-1
- update to VLC 2.0.7

* Tue Apr 16 2013 Daniel Berteaud <daniel@firewall-services.com> - 2.0.6-1
- update to VLC 2.0.6

* Tue Dec 18 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.5-1
- update to VLC 2.0.5

* Mon Oct 29 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.4-1
- update to VLC 2.0.4

* Thu Aug 16 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.3-1
- Update to VLC 2.0.3

* Mon Jul 9 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.2-1
- Update to VLC 2.0.2

* Thu Jun 7 2012 Daniel Berteaud <daniel@firewall-services.com> - 2.0.1-1
- change version scheme

* Tue Jun 5 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1+2.0.1
- initial release with VLC 2.0.1

